Loading...
Searching...
No Matches
fourdst::composition::detail::CompositionIterator< IsConst >::ArrowProxy Struct Reference

`#include <composition_abstract_iterator.h>`

Collaboration diagram for fourdst::composition::detail::CompositionIterator< IsConst >::ArrowProxy:
[legend]

## Public Member Functions

const reference * | operator-> () const

## Public Attributes

reference | m_payload

## Detailed Description

template<bool IsConst>
struct fourdst::composition::detail::CompositionIterator< IsConst >::ArrowProxy

Definition at line 26 of file composition_abstract_iterator.h.

## Member Function Documentation

## operator->()

template<bool IsConst>

const reference * fourdst::composition::detail::CompositionIterator< IsConst >::ArrowProxy::operator-> | ( |  | ) | const

inline

Definition at line 28 of file composition_abstract_iterator.h.

## Member Data Documentation

## m_payload

template<bool IsConst>

reference fourdst::composition::detail::CompositionIterator< IsConst >::ArrowProxy::m_payload

Definition at line 27 of file composition_abstract_iterator.h.

The documentation for this struct was generated from the following file:

- src/composition/include/fourdst/composition/iterators/composition_abstract_iterator.h